Last Comment Bug 764266 - Remove WINCE support on c-c
: Remove WINCE support on c-c
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Thunderbird 18.0
Assigned To: Makoto Kato [:m_kato]
:
Mentors:
Depends on:
Blocks: 614720
  Show dependency treegraph
 
Reported: 2012-06-12 22:16 PDT by Makoto Kato [:m_kato]
Modified: 2013-03-15 18:10 PDT (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix (45.27 KB, patch)
2012-06-12 22:18 PDT, Makoto Kato [:m_kato]
no flags Details | Diff | Splinter Review
The fix v2 (26.79 KB, patch)
2012-08-17 09:23 PDT, Mark Banner (:standard8)
standard8: review+
Details | Diff | Splinter Review

Description Makoto Kato [:m_kato] 2012-06-12 22:16:32 PDT
m-c remove WinCE support.  We should remove it on c-c.

Also, this fix removes unused codes.  (CYGWIN, ActiveState perl support and etc)
Comment 1 Makoto Kato [:m_kato] 2012-06-12 22:18:09 PDT
Created attachment 632546 [details] [diff] [review]
fix
Comment 2 Justin Wood (:Callek) 2012-06-17 17:56:25 PDT
Comment on attachment 632546 [details] [diff] [review]
fix

Review of attachment 632546 [details] [diff] [review]:
-----------------------------------------------------------------

I won't get to this anytime real soon, if serge is around and wants to give it a glance, I'll (a) thank him by attacking his reviews sooner, and (b) be able to sign off on this one faster.

Standard8 can review in lieu of all of the rest of us though.
Comment 3 Serge Gautherie (:sgautherie) 2012-06-22 23:43:26 PDT
Comment on attachment 632546 [details] [diff] [review]
fix

Sorry, I was told long ago not to maintain c-c "configure" anymore.
As this bug seems (good) cleanup only, I differ to Mark.
Comment 4 Serge Gautherie (:sgautherie) 2012-06-22 23:45:08 PDT
(In reply to Serge Gautherie (:sgautherie) from comment #3)
> As this bug seems (good) cleanup only, I differ to Mark.

s/differ/defer/
Comment 5 Mark Banner (:standard8) 2012-08-17 09:23:24 PDT
Created attachment 652793 [details] [diff] [review]
The fix v2

Sorry for the delay in reviewing this. I had to update it for a bit of bitrot, and this is the patch.

Whilst we're not generally porting patches at the moment, as we're looking at reworking the build system, I think we can take this as it is here.
Comment 6 Makoto Kato [:m_kato] 2012-09-02 19:05:06 PDT
https://hg.mozilla.org/comm-central/rev/efe3697a5648
Comment 7 neil@parkwaycc.co.uk 2013-03-15 18:10:28 PDT
Comment on attachment 652793 [details] [diff] [review]
The fix v2

>@@ -2135,21 +1954,14 @@
>     no_x=yes
>     AC_DEFINE(NO_X11)
> 
>-    dnl MinGW/MSYS doesn't provide or need cygpath
>     case "$host" in
>     *-mingw*)
>-	CYGPATH_W=echo
>-	CYGPATH_S=cat
> 	MOZ_BUILD_ROOT=`cd $MOZ_BUILD_ROOT && pwd -W`
> 	;;
>-    *-cygwin*|*-msvc*|*-mks*)
>-	CYGPATH_W="cygpath -a -w"
>-	CYGPATH_S="sed -e s|\\\\|/|g"
>-	MOZ_BUILD_ROOT=`$CYGPATH_W $MOZ_BUILD_ROOT | $CYGPATH_S`
>-	;;
>     esac
>+
>     case "$host" in
>-    *-mingw*|*-cygwin*|*-msvc*|*-mks*)
>+    *-mingw*)
> 
>     if test -z "$MOZ_TOOLS"; then
>         AC_MSG_ERROR([MOZ_TOOLS is not set])
[These used to be separate cases because cygwin didn't use pwd -W, but having dropped support for cygwin, you could have merged these two cases into one.]

Note You need to log in before you can comment on or make changes to this bug.